"""Screen to show the credits"""


import random
import math
import pygame
import pymunk

import serge.actor
import serge.visual
import serge.physical
import serge.blocks.utils
import serge.blocks.visualblocks
import serge.events

from theme import G
import common 

class CreditScreen(serge.actor.Actor):
    """The logic for the credit screen"""
    
    
    def __init__(self):
        """Initialise the screen"""
        super(CreditScreen, self).__init__('item', 'credit-screen')
        self.engine = serge.engine.CurrentEngine()
        self.world = self.engine.getWorld('credit-screen')
        self.keyboard = self.engine.getKeyboard()
        self.mouse = self.engine.getMouse()
        #
        logo = serge.blocks.utils.addSpriteActorToWorld(self.world, 'bg', 'bg', 'logo', 'foreground')
        logo.y = G('logo-y')
        serge.blocks.utils.addSpriteActorToWorld(self.world, 'bg', 'bg', 'credit-screen', 'background')

    def updateActor(self, interval, world):
        """Update the actor"""
        if self.keyboard.isClicked(pygame.K_ESCAPE):
            self.world.processEvents([[(serge.events.E_LEFT_CLICK, None), self.world.findActorByName('credits')]])
        
def main(options):
    """Create the main logic"""
    s = CreditScreen()
    s.world.addActor(s)
