"""A goal area

You score points when a coloured ball is in the goal area.
Conversely, you lose points when the wrong coloured ball
is in there.

"""

import pymunk
import random

import serge.actor
import magnet
from theme import G


class Goal(serge.actor.Actor):
    """A goal area on the screen"""
    
    def __init__(self, name, colour, position, score):
        """Initialise the Goal"""
        super(Goal, self).__init__('goal', name)
        self.colour = colour
        self.score = score
        self.setSpriteName('%s-goal' % self.colour)
        self.setLayerName('background')
        self.moveTo(*position)
        
    def updateActor(self, interval, world):
        """Update the score for this goal"""
        #
        # Removing points for the purple colour
        for actor in world.findActorsByTag('purple'):
            if actor.isInside(self):
                self.score.addScore(self.colour, -G('drain-rate-purple'))
        #
        # Adding points for the right colour
        for actor in world.findActorsByTag(self.colour):
            if actor.isInside(self) and not isinstance(actor, magnet.Magnet):
                self.score.addScore(self.colour, 1)

