"""Our main visual theme"""

import serge.blocks.themes

theme = serge.blocks.themes.Manager()
theme.load({
    'main' : ('', {
    
        # Logo 
        'logo-y' : 80,
        
        # Physics
        'non-collision-group' : 2,
         
        # Text sizes
        'normal-text-size' : 12,
        'small-text-size' : 8,
        'large-text-size' : 20,
        
        # Text colours
        'button-text-colour' : (0, 0, 0, 255),
        
        # Level information
        'level-button-width' : 200,
        'level-button-height' : 120,
        'level-button-colour' : (0, 0, 255, 255),
        'level-title-size' : 20,
        'level-description-size' : 10,
        'level-text-colour' : (255, 255, 0, 255),
        'level-text-completed-colour' : (255, 255, 255, 255),
        'level-text-locked-colour' : (50, 50, 0, 255),
        'level-grid-nx' : 4,
        'level-grid-ny' : 4,
        'level-grid-height' : 600,
        'level-grid-y' : 500,
        
        # The main screen
        'screen-width' : 1280, 
        'screen-height' : 800,
        'screen-title' : 'Magnetospheres',
        'screen-icon' : 'icon',
        
        # Snapshot sizes
        'snapshot-start-screen' : (0, 0, 1280, 800),
        'snapshot-main-screen' : (70, 80, 960, 520),
        'snapshot-credit-screen' : (0, 0, 1280, 800),
        
        # Scoreboard colours
        'red' : (255, 0, 0, 255),
        'green' : (0, 255, 0, 255),
        'blue' : (0, 0, 255, 255),
        'dark-red' : (50, 0, 0, 255),
        'dark-green' : (0, 50, 0, 255),
        'dark-blue' : (0, 0, 50, 255),
        
        # Scoreboard locations
        'scoreboard-text-x' : 1110,
        'scoreboard-text-y' : 90,
        'scoreboard-x' : 1100,
        'scoreboard-red-y' : 120,
        'scoreboard-green-y' : 150,
        'scoreboard-blue-y' : 180,
        'scoreboard-text-colour' : (255, 255, 0, 255),
        'scoreboard-text-size' : 20,
        'scoreboard-time-colour' : (0, 255, 255, 255),
        'scoreboard-time-text-x' : 1120,
        'scoreboard-time-text-y' : 20,
        'scoreboard-time-x' : 1110,
        'scoreboard-time-y' : 45,
        'scoreboard-best-x' : 1110,
        'scoreboard-best-y' : 70,
        'scoreboard-best-size' : 10,
        'scoreboard-best-colour' : (150, 150, 0, 255),
        
        # Congratulations
        'congratulations-text-colour' : (247, 15, 30),
        'congratulations-text-size' : 36,
        'congratulations-x' : 550,
        'congratulations-y' : 250,
        
        # Gameplay items
        'drain-rate-nudge' : 1, 
        'drain-rate-purple' : 0.2,
        
        # Walls
        'wall-colour' : (0, 0, 255, 255),

        # Balls at the start screen
        'start-ball-number' : 40,
        'start-gravity-switch' : 0.05,
        'start-colour' : (10,10,10,20),
        'start-gravity' : 1000,
        
        # Pad movement
        'pad-move-x' : 4,
        'pad-move-y' : 4,
        'pad-colour' : (0, 255, 255, 255),
        
        # Version
        'version-colour' : (255, 255, 255, 255),
        'version-x' : 1240,
        'version-y' : 780,
        'version-size' : 8,
        
        # Titles
        'title-text-size' : 40,
        'title-text-colour' : (255, 255, 0, 255),
        'title-text-y' : 30,
        'subtitle-text-size' : 20,
        'subtitle-text-colour' : (255, 255, 0, 255),
        'subtitle-text-y' : 65,
        
        # Hints
        'hint1-text-size' : 14,
        'hint1-text-colour' : (255, 255, 0, 255),
        'hint1-text-x' : 1070,
        'hint1-text-y' : 230,
        'hint2-text-size' : 14,
        'hint2-text-colour' : (255, 255, 0, 255),
        'hint2-text-x' : 1070,
        'hint2-text-y' : 420,

        # Music
        'music-max-tunes' : 4,
        'music-start' : ('Macaw_-_01_-_Five_Minutes_at_the_Rainforest_Cafe.mp3', 'Macaw :: Five Minutes at the Rainforest Cafe'),
        'music-0' : ('Daddy_Scrabble_-_04_-_Flying_pea_v1.mp3', 'Daddy Scrabble :: Flying pea v1'),
        'music-1' : ('Kink_Slap_Simian_-_05_-_Beautiful_Android.mp3', 'Kink Slap Simian :: Beautiful Android'),
        'music-2' : ('Daddy_Scrabble_-_03_-_LordDa_Mercy.mp3', 'Daddy Scramble :: LordDa Mercy'),
        'music-3' : ('Kink_Slap_Simian_-_02_-_Code_9101.mp3', 'Kink Slap Simian :: Code 9101'),
        'music-onoff-x' : 50,
        'music-onoff-y' : 750,
        'music-title-x' : 80,
        'music-title-y' : 736,
        'music-font-colour' : (60, 60, 60, 255),
        'music-font-size' : 20,
        
        # Credits button
        'credits-font-colour' : (60, 60, 60, 255),
        'credits-font-size' : 20,
        'credits-x' : 1200,
        'credits-y' : 750,
        
        # Magnet settings
        'rail-outer-size' : 6,
        'rail-outer-colour' : (25, 25, 25, 255),
        'rail-inner-size' : 2,
        'rail-inner-colour' : (5, 5, 5, 255),
        'rail-end-size' : 12,
        'rail-end-colour' : (20, 20, 20, 255),
        
        
        
    }),
    
    '__default__' : 'main',

})

G = theme.getProperty
