#!/usr/bin/env python


"""Distutils distribution file"""


from setuptools import setup


import game.common

setup(name='Magnetospheres',
      version=game.common.version,
      description='Physics based puzzle game - use magnets to guide balls through a series of challenging levels.',
      author='Paul Paterson',
      author_email='ppaterson@gmail.com',
      url='http://www.perpetualpyramid/magnetospheres.html',
      download_url='http://www.perpetualpyramid/http://perpetualpyramid.com/Magnetospheres-0.1.tar.gz',
      packages=[
        'serge', 'serge.blocks', '', 'game',
      ],
      package_dir={},
      package_data={'': ['*.py', '*.txt', 'graphics/*.png', 'graphics/*.ico', 'sound/*.*']},
      classifiers = [
        "Programming Language :: Python",
        "Programming Language :: Python :: 2",
        "Development Status :: 4 - Beta",
        "Environment :: Other Environment",
        "Intended Audience :: End Users/Desktop",
        "License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)",
        "Operating System :: OS Independent",
        "Topic :: Games/Entertainment",
        "Topic :: Games/Entertainment :: Puzzle Games",
        ],
       long_description='''\
Magnetospheres
--------------

A challenging physics based puzzle game where you use magnets to maneuver balls through a series of levels.

On each level you must find a way to guide a number of different coloured balls to their destination
zones by using a series of magnets or by nudging the table.

Watch out for hazards and the perilous purple balls!

Requires: Python 2.6+, pygame 1.9+ and pymunk.

''',
         )
     
